VantPay API Documentation
API Docs
API Docs
  1. Checkout
  • Authentication
    • authenticate-merchant
      POST
  • Virtual Account
    • create-static-account
      POST
    • create-dynamic-account
      POST
    • get-static-virtual-accounts
      GET
    • get-wallet-balance
      GET
    • get-prefixes
      GET
    • get-dynamic-virtual-accounts
      GET
    • validate-virtual-account
      POST
  • Inward Transfers
    • Inward TransQuery (TSQ)
      • inward-traansquery
    • Inward Transactions
      • get-wallet transactions
  • Merchant Settlement
    • Merchant Payout
      • merchant-settlement
    • Get Settlement History
      • get-settlement-history
    • Confirm Payout Status
      • get-settlement-status
  • Checkout
    • initiate-checkout
      POST
    • create-account
      POST
    • complete-checkout
      POST
    • query-access-code
      GET
  1. Checkout

initiate-checkout

POST
/api/v1/checkout/initiate

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://digitvirtual-dev.digitvant.com/api/v1/checkout/initiate' \
--header 'accept: */*' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "string",
  "phoneNumber": "string",
  "firstName": "string",
  "lastName": "string",
  "amount": 0,
  "paymentReference": "string",
  "channels": [
    "string"
  ]
}'
Response Response Example
{}
Modified at 2026-02-25 22:44:14
Previous
Checkout
Next
create-account
Built with